Probalema con version JDK

Inicio Foros Foro principal Instalación y Configuración Probalema con version JDK

  • Este debate está vacío.
Viendo 5 entradas - de la 1 a la 5 (de un total de 5)
  • Autor
    Entradas
  • #31968

    Hola

    Instale la ultima version previo a borrar todo de la version anterior instalada.

    Pero al correr el cliente me da este error

    Java Hotspot(TM) Client VM – 1.7.0 <> 1.6.0

    Cuando voy al Configurar y le pongo Comprobar me sale con error el primer item Directorio base de Java SDK, lo apunto a C:Program FilesJavajdk1.7.0 y me dice “Error en el directorio base del Java SDK (Wrong Java Version Should be 1.5.0)

    Ideas?

    #36333

    Me olvide aclarar que estoy instalando sobre Windows XP para unas pruebas.

    #36334
    Federico Cristina
    Superadministrador

    Buenas,

    Según parece tenés instalada una versión de Java más nueva. Deberías utilizar la JDK de Oracle 1.6.0_xx, no la 1.7.0_xx; y configurar a ésta como versión por defecto, tanto en el PATH como en el JAVA_HOME.

    Saludos,
    Federico

    #36342

    Gracias

    Algunas consultas

    El JDK no lo instala el propio instalador para XP? Si no es asi, no deberia el instalador hacer un chequeo de existencia y version e indicar que uno tiene que bajarlo e instalarlo independientemente?

    Por qué el Configurador pide la 1.5?

    Saludos

    #36343
    Federico Cristina
    Superadministrador

    Buenas,

    Sí, el instalador realiza el deploy de la JDK 1.6 si no lo encuentra. Probablemente en un escenario en donde esté instalada la 1.7 interpreta como que ya hay instalada una versión, pero obviamente luego esto es un problema al momento de ejecutar la aplicación.

    El configurador en realidad valida por la versión correcta, pero en pantalla se está mostrando un mensaje desactualizado, simplemente eso.

    Saludos,
    Federico

Viendo 5 entradas - de la 1 a la 5 (de un total de 5)
  • Debes estar registrado para responder a este debate.